<?xml version="1.0"?>
<!DOCTYPE GopherDemoFile SYSTEM "Gopher1.5.dtd">
<GopherDemoFile>
	<Libraries>
		<Library FileName = "eroc.dll">
			<Function Name = "Clear" />
			<Function Name = "BackgroundColor">
				<Parameter Name="Red" />
				<Parameter Name="Green" />
				<Parameter Name="Blue" />				
			</Function>
			<Function Name = "Background">
				<Parameter Name="ImageNr" />				
			</Function>
			<Function Name = "BackgroundFade">
				<Parameter Name="ImageNr" />
				<Parameter Name="Opacity" />				
			</Function>
			<Function Name = "FastBackground">
				<Parameter Name="ImageNr" />
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>			
			</Function>
			<Function Name="Image">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                                <Parameter Name="Opacity"/>
			</Function>
			<Function Name="Animate">
				<Parameter Name="AnimNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                                <Parameter Name="Opacity"/>
				<Parameter Name="Time"/>
			</Function>
			<Function Name="PrintNr">
				<Parameter Name="Nr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="ShowFPS">
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="CircularBlur">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                                <Parameter Name="Degrees"/>
				<Parameter Name="Brightness"/>
			</Function>	
			<Function Name="Wave">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                                <Parameter Name="Opacity"/>
				<Parameter Name="WavesX"/>
				<Parameter Name="WavesY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>
				<Parameter Name="OffsetX"/>
				<Parameter Name="OffsetY"/>
			</Function>		
			<Function Name="Rasterize">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                                <Parameter Name="Opacity"/>
			</Function>
			<Function Name="MovieJitter">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>				
                                <Parameter Name="FrameNr"/>
				<Parameter Name="Amount"/>
			</Function>
		</Library>
	</Libraries>
	<Demo>
		<Summary>
			<Author>
				Various Fulcrum ppl
			</Author>		
			<Group>
				Fulcrum
			</Group>			
		</Summary>
		<Settings RunningTime = "282000"
				UseOpenGL = "true"
				NumberOfInputSurfaces = "1"
				InputMusicFile = "data\eroc.ogg" />

<!-- Debug TIMER -->
		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "PrintNr" StartTime = "0" EndTime = "282000">
				<param start="0" end="2820" />
				<param start="10" end="10" />
				<param start="570" end="570" />
			</Event>
		</Track>		

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "ShowFPS" StartTime = "0" EndTime = "282000">	
				<param start="755" end="755" />
				<param start="570" end="570" />
			</Event>
		</Track>

<!-- Main Tracks -->
		<!-- Backgrounds -->
		<Track>
		  <!-- Opening Credits -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "0" EndTime = "1000">
				<param start="1" end="1" />
				<param start="0" end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "1000" EndTime = "4000">
				<param start="1" end="1" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "4000" EndTime = "5000">
				<param start="1" end="1" />
				<param start="256" end="0" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "5000" EndTime = "6000">
				<param start="2" end="2" />
				<param start="0" end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "6000" EndTime = "9000">
				<param start="2" end="2" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "9000" EndTime = "10000">
				<param start="2" end="2" />
				<param start="256" end="0" />
			</Event>
		  <!-- Mansion Zoom -->  
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "10000" EndTime = "10500">
				<param start="6" end="6" />
				<param start="4000" end="4000" />
				<param start="3000" end="3000" />
				<param start="1000" end="1000" />
				<param start="0" end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "10500" EndTime = "12000">
				<param start="6" end="6" />
				<param start="4000" end="4000" />
				<param start="3000" end="3000" />
				<param start="1000" end="1000" />
				<param start="256" end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "12000" EndTime = "15700">
				<param start="6" end="6" />
				<param start="4000" end="5400" />
				<param start="3000" end="-7800" />
				<param start="1000" end="5200" />
				<param start="256" end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "15700" EndTime = "16600">
				<param start="6" end="6" />
				<param start="5400" end="5400" />
				<param start="-7800" end="-7800" />
				<param start="5200" end="5200" />
				<param start="256" end="256" />
			</Event>
	    	  <!-- Window Shot -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "16600" EndTime = "23750">
				<param start="7" end="7" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "23750" EndTime = "24750">
				<param start="7" end="7" />
				<param start="256" end="0" />
			</Event>
		  <!-- The Planting of Seeds -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "24750" EndTime = "31900">
				<param start="8" end="8" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "31900" EndTime = "32900">
				<param start="8" end="8" />
				<param start="256" end="0" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "32900" EndTime = "40050">
				<param start="10" end="10" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "40050" EndTime = "41050">
				<param start="10" end="10" />
				<param start="256" end="0" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "41050" EndTime = "48200">
				<param start="11" end="11" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "48200" EndTime = "49200">
				<param start="11" end="11" />
				<param start="256" end="0" />
			</Event>
		  <!-- First Moon Background -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "49200" EndTime = "68550">
				<param start="12" end="12" />
			</Event>
		  <!-- Night Scenes -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "68550" EndTime = "84850">
				<param start="14" end="14" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "84850" EndTime = "102000">
				<param start="17" end="17" />
			</Event>
		  <!-- She's Alive -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "102000" EndTime = "118300">
				<param start="20" end="20" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "118300" EndTime = "134600">
				<param start="23" end="23" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "134600" EndTime = "159000">
				<param start="27" end="27" />
			</Event>
		  <!-- Second Moon Background -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "159000" EndTime = "169200">
				<param start="31" end="31" />
			</Event>
		  <!-- The Wrath Scenes (Pre-Murder) -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "169200" EndTime = "177350">
				<param start="33" end="33" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "177350" EndTime = "186500">
				<param start="35" end="35" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "186500" EndTime = "219000">
				<param start="37" end="37" />
			</Event>
		  <!-- The Scream -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "FastBackground" StartTime = "219000" EndTime = "236300">
				<param start="60" end="60" />
				<param start="0" end="800" />
				<param start="0" end="0" />
				<param start="20" end="20" />
				<param start="1000" end="1000" />
			</Event>
		  <!-- He's Dead -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "236300" EndTime = "245500">
				<param start="48" end="48" />
			</Event>
		  <!-- Last Moon -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "245500" EndTime = "253650">
				<param start="51" end="51" />
			</Event>

		  <!-- Credits - SEVEN: Start Here -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "253650" EndTime = "258375">
				<param start="53" end="53" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "258375" EndTime = "263100">
				<param start="54" end="54" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "263100" EndTime = "267825">
				<param start="55" end="55" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "267825" EndTime = "272550">
				<param start="56" end="56" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "272550" EndTime = "277275">
				<param start="57" end="57" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "277275" EndTime = "280000">
				<param start="58" end="58" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "280000" EndTime = "282000">
				<param start="58" end="58" />
				<param start="256" end="0" />
			</Event>



		</Track>
                <!-- End of Backgrounds Track -->


<!-- Do Not Erase -->
		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Clear" StartTime = "0" EndTime = "282000" />
		</Track>
	</Demo>
</GopherDemoFile>